This is a live mirror of the Perl 5 development currently hosted at https://github.com/perl/perl5
Upgrade to ExtUtils-MakeMaker-6.48
[perl5.git] / lib / ExtUtils / MakeMaker / bytes.pm
CommitLineData
2530b651
MS
1package ExtUtils::MakeMaker::bytes;
2
1e65eb70
SP
3use strict;
4
b5b9b385 5our $VERSION = 6.48;
2530b651 6
a592ba15 7my $Have_Bytes = eval { require bytes; 1; };
2530b651
MS
8
9sub import {
10 return unless $Have_Bytes;
11
12 shift;
13 unshift @_, 'bytes';
14
15 goto &bytes::import;
16}
17
181;
19
20
21=head1 NAME
22
a7d1454b 23ExtUtils::MakeMaker::bytes - Version-agnostic bytes.pm
2530b651
MS
24
25=head1 SYNOPSIS
26
27 use just like bytes.pm
28
29=head1 DESCRIPTION
30
31bytes.pm was introduced with 5.6. This means any code which has 'use
32bytes' in it won't even compile on 5.5.X. Since bytes is a lexical
33pragma and must be used at compile time we can't simply wrap it in
34a BEGIN { eval 'use bytes' } block.
35
36ExtUtils::MakeMaker::bytes is just a very thin wrapper around bytes
37which works just like it when bytes.pm exists and everywhere else it
38does nothing.
39
40=cut